#ifndef SEARCHAPPLICATION_H
#define SEARCHAPPLICATION_H

#include <qtsingleapplication.h>
#include "mainwindow.h"

class SearchApplication :public QtSingleApplication
{
    Q_OBJECT
public:
    explicit SearchApplication(const QString &appId, int &argc, char **argv);

    ~SearchApplication() override;
    void setFlag(int flag){
        this->flag = flag;
    }
    int getFlag(){
        return flag;
    }

private:
    void initMainWindow();
    void parseCommand(const QString &msg, bool isPrimary);

private:
    MainWindow *m_mainWindow = nullptr;
    int flag = 0;
};

#endif // SEARCHAPPLICATION_H
