#include "statusmanagerinterface.h"

StatusManagerInterface::StatusManagerInterface()
{
    p_statusmanagerInterface=new QDBusInterface("com.kylin.statusmanager.interface", "/",
                                                "com.kylin.statusmanager.interface",
                                                QDBusConnection::sessionBus());


    if (!p_statusmanagerInterface->isValid()) {
        qCritical() << QDBusConnection::sessionBus().lastError().message();
    }
}

int StatusManagerInterface::getInputmethodMode()
{
    QDBusReply<int> reply = p_statusmanagerInterface->call("get_inputmethod_mode");
    if(reply.isValid()){
        return reply.value();
    }else{
        qCritical() << "Call get_inputmethod_mode  failed";
        return 1;
    }

}
